## python-schema-salad 7.0.20210124093443

=== Makefile ===
# This file is part of schema-salad,
# https://github.com/common-workflow-language/schema-salad/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make format to fix most python formatting errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=schema_salad
PACKAGE=schema-salad

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py ${MODULE}/avro/*.py ${MODULE}/tests/*.py) setup.py
DEVPKGS=diff_cover black pylint coverage pep257 pydocstyle flake8 mypy\
	isort wheel autoflake flake8-bugbear pyupgrade pytest-xdist
COVBASE=coverage run --branch --append --source=${MODULE} \
	--omit=schema_salad/tests/*

# Updating the Major & Minor version below?
# Don't forget to update setup.py as well
VERSION=7.0.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
	--max-count=1 --format=format:%cI`)

## all         : default task
all:
	pip install -e .

## help        : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## install-dep : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies:
	pip install --upgrade $(DEVPKGS)
	pip install -r requirements.txt

## install     : install the ${MODULE} module and schema-salad-tool
install: FORCE
	pip install .

## dist        : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
	./setup.py sdist bdist_wheel

## clean       : clean up all temporary / machine-generated files
clean: FORCE
	rm -f ${MODILE}/*.pyc tests/*.pyc
	./setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

# Linting and code style related targets
## sorting imports using isort: https://github.com/timothycrosley/isort
sort_imports: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	isort $^

remove_unused_imports: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	autoflake --in-place --remove-all-unused-imports $^

pep257: pydocstyle
## pydocstyle      : check Python code style
pydocstyle: $(PYSOURCES)
	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true

pydocstyle_report.txt: $(PYSOURCES)
	pydocstyle setup.py $^ > $@ 2>&1 || true

diff_pydocstyle_report: pydocstyle_report.txt
	diff-quality --compare-branch=main --violations=pycodestyle --fail-under=100 $^

## format      : check/fix all code indentation and formatting (runs black)
format:
	black --exclude metaschema.py schema_salad setup.py

## pylint      : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ -j0|| true

pylint_report.txt: ${PYSOURCES}
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ -j0> $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --violations=pylint pylint_report.txt

.coverage: $(PYSOURCES) all
	rm -f .coverage
	$(COVBASE) setup.py test
	$(COVBASE) -m schema_salad.main \
		--print-jsonld-context schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-rdfs schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-avro schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-rdf schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-pre schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-index schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-metadata schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.makedoc \
		schema_salad/metaschema/metaschema.yml \
		> /dev/null

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover $^

diff-cover.html: coverage.xml
	diff-cover $^ --html-report $@

## test        : run the ${MODULE} test suite
test: FORCE
	python setup.py test --addopts "-n auto"

sloccount.sc: ${PYSOURCES} Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount   : count lines of code
sloccount: ${PYSOURCES} Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy3: mypy
mypy: ${PYSOURCES}
	if ! test -f $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
	then \
		rm -Rf typeshed/ruamel/yaml ; \
		ln -s $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
			typeshed/ruamel/ ; \
	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
	MYPYPATH=$$MYPYPATH:typeshed mypy --disallow-untyped-calls \
		 --warn-redundant-casts \
		 schema_salad

mypyc: ${PYSOURCES}
	MYPYPATH=typeshed SCHEMA_SALAD_USE_MYPYC=1 python setup.py test

pyupgrade: $(filter-out schema_salad/metaschema.py,${PYSOURCES})
	pyupgrade --exit-zero-even-if-changed --py36-plus $^

jenkins: FORCE
	rm -Rf env && virtualenv env
	. env/bin/activate ; \
	pip install -U setuptools pip wheel ; \
	${MAKE} install-dep coverage.html coverage.xml pydocstyle_report.txt \
		sloccount.sc pylint_report.txt
	if ! test -d env3 ; then virtualenv -p python3 env3 ; fi
	. env3/bin/activate ; \
	pip install -U setuptools pip wheel ; \
	${MAKE} install-dep ; \
	pip install -U -r mypy_requirements.txt ; ${MAKE} mypy

release-test: FORCE
	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
	PYVER=3 ./release-test.sh

release: release-test
	. testenv3_2/bin/activate && \
		testenv3_2/src/${PACKAGE}/setup.py sdist bdist_wheel
	. testenv3_2/bin/activate && \
		pip install twine && \
		twine upload testenv3_2/src/${PACKAGE}/dist/* && \
		git tag ${VERSION} && git push --tags

FORCE:

# Use this to print the value of a Makefile variable
# Example `make print-VERSION`
# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
print-%  : ; @echo $* = $($*)

=== requirements.txt ===
ruamel.yaml>=0.12.4, <= 0.16.5
rdflib>=4.2.2, <= 5.0.0
rdflib-jsonld>=0.4.0, <0.6.0
mistune>=0.8.1,<0.9
CacheControl==0.11.7
lockfile==0.12.2
typing-extensions

=== debian/changelog ===
python-schema-salad (7.0.20210124093443-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)
  * Refresh patches
  * debian/rules: skip tests that require internet access

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 14:50:30 +0100

python-schema-salad (7.0.20200811075006-2) unstable; urgency=high

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael R. Crusoe ]
  * debian/rules, debian/tests/run-test: fix pytest invocation (--pyargs
    instead of --pyarg)
  * debian/patches/rdflib5: Add rdflib 5.0.x compatability. Closes: #978327

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 10:07:59 +0100

=== debian/control ===
Source: python-schema-salad
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-all,
               python3-future,
               python3-setuptools,
               python3-mistune,
               python3-requests,
               python3-yaml,
               python3-rdflib-jsonld,
               python3-rdflib,
               python3-ruamel.yaml,
               python3-cachecontrol,
               python3-lockfile,
               python3-typing-extensions,
               python3-pytest-xdist,
               python3-pytest-runner,
               help2man
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
Homepage: https://www.commonwl.org
Rules-Requires-Root: no

Package: python3-schema-salad
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         libjs-bootstrap
Recommends: cwltool
Conflicts: python-schema-salad
Description: Schema Annotations for Linked Avro Data (SALAD)
 Salad is a schema language for describing JSON or YAML structured linked data
 documents. Salad is based originally on JSON-LD and the Apache Avro data
 serialization system.
 .
 Salad schema describes rules for preprocessing, structural validation, and
 link checking for documents described by a Salad schema. Salad features for
 rich data modeling such as inheritance, template specialization, object
 identifiers, object references, documentation generation, and transformation
 to RDF. Salad provides a bridge between document and record oriented data
 modeling and the Semantic Web.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=schema-salad
#export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. help2man --no-info \
		   --version-string=${DEB_VERSION_UPSTREAM} \
		   --no-discard-stderr \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python3\ -m\ schema_salad > debian/schema-salad-tool.1
	sed -i 's/python3 -m schema_salad/schema-salad-tool/g' \
		debian/schema-salad-tool.1
	sed -i 's/__main__.py/schema-salad-tool/g' debian/schema-salad-tool.1
	sed -i 's/PYTHON/SCHEMA-SALAD-TOOL/g' debian/schema-salad-tool.1
	PYTHONPATH=. help2man --no-info \
		   --version-string=${DEB_VERSION_UPSTREAM} \
		   --no-discard-stderr \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python3\ -m\ schema_salad.makedoc > debian/schema-salad-doc.1
	sed -i 's/python3 -m schema_salad.makedoc/schema-salad-doc/g' \
		debian/schema-salad-doc.1
	sed -i 's/__main__.py/schema-salad-doc/g' debian/schema-salad-doc.1
	sed -i 's/PYTHON/SCHEMA-SALAD-DOC/g' debian/schema-salad-doc.1
	find . -name "*.coverage" -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_install
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
		-n auto --dist=loadfile --pyargs schema_salad -k 'not test_secondaryFiles and not test_outputBinding'" dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	find debian -name LICENSE -delete
	find debian -name '*.cwl' -exec chmod a+x {} \;

override_dh_auto_clean:
	rm -f debian/*.1

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/schema-salad/schema-salad-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-schema-salad 8.2.20220103095339

=== Makefile ===
# This file is part of schema-salad,
# https://github.com/common-workflow-language/schema-salad/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make format to fix most python formatting errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=schema_salad
PACKAGE=schema-salad
EXTRAS=[pycodegen]

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py ${MODULE}/avro/*.py ${MODULE}/tests/*.py) setup.py
DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox tox-pyenv \
	isort wheel autoflake flake8-bugbear pyupgrade bandit \
	-rtest-requirements.txt -rmypy-requirements.txt
COVBASE=coverage run --append

# Updating the Major & Minor version below?
# Don't forget to update setup.py as well
VERSION=8.2.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
	--max-count=1 --format=format:%cI`)

## all         : default task
all: dev

## help        : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## install-dep : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies: FORCE
	pip install --upgrade $(DEVPKGS)
	pip install -r requirements.txt -r mypy-requirements.txt -r docs/requirements.txt

## install     : install the ${MODULE} module and script(s)
install: FORCE
	pip install .$(EXTRAS)

## dev     : install the ${MODULE} module in dev mode
dev: install-dep
	pip install -e .$(EXTRAS)

## dist        : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
	python setup.py sdist bdist_wheel

## docs	       : make the docs
docs: FORCE
	cd docs && $(MAKE) html

## clean       : clean up all temporary / machine-generated files
clean: FORCE
	rm -rf ${MODULE}/__pycache__ ${MODULE}/tests/__pycache__
	rm -f *.so ${MODULE}/*.so ${MODULE}/tests/*.so ${MODULE}/avro/*.so
	python setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

# Linting and code style related targets
## sorting imports using isort: https://github.com/timothycrosley/isort
sort_imports: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	isort $^ typeshed

remove_unused_imports: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	autoflake --in-place --remove-all-unused-imports $^

pep257: pydocstyle
## pydocstyle      : check Python code style
pydocstyle: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true

pydocstyle_report.txt: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pydocstyle setup.py $^ > $@ 2>&1 || true

diff_pydocstyle_report: pydocstyle_report.txt
	diff-quality --compare-branch=main --violations=pydocstyle --fail-under=100 $^

## format      : check/fix all code indentation and formatting (runs black)
format:
	black --exclude metaschema.py schema_salad setup.py typeshed

format-check:
	black --diff --check --exclude metaschema.py schema_salad setup.py typeshed

## pylint      : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ -j0|| true

pylint_report.txt: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ -j0> $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --violations=pylint pylint_report.txt

.coverage:
	python setup.py test --addopts "--cov --cov-config=.coveragerc --cov-report= -n auto"
	$(COVBASE) -m schema_salad.main \
		--print-jsonld-context schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-rdfs schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-avro schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.makedoc --debug \
		schema_salad/metaschema/metaschema.yml \
		> /dev/null

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover $^

diff-cover.html: coverage.xml
	diff-cover $^ --html-report $@

## test        : run the ${MODULE} test suite
test: $(PYSOURCES)
	python setup.py test ${PYTEST_EXTRA}

## testcov     : run the ${MODULE} test suite and collect coverage
testcov: $(PYSOURCES)
	python setup.py test --addopts "--cov" ${PYTEST_EXTRA}

sloccount.sc: $(PYSOURCES) Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount   : count lines of code
sloccount: $(PYSOURCES) Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy3: mypy
mypy: $(filter-out setup.py,$(PYSOURCES))
	if ! test -f $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
	then \
		rm -Rf typeshed/ruamel/yaml ; \
		ln -s $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
			typeshed/ruamel/ ; \
	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
	MYPYPATH=$$MYPYPATH:typeshed mypy $^

mypyc: $(PYSOURCES)
	MYPYPATH=typeshed SCHEMA_SALAD_USE_MYPYC=1 python setup.py test

pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pyupgrade --exit-zero-even-if-changed --py37-plus $^

release-test: FORCE
	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
	./release-test.sh

release: release-test
	. testenv2/bin/activate && \
		python testenv2/src/${PACKAGE}/setup.py sdist bdist_wheel
	. testenv2/bin/activate && \
		pip install twine && \
		twine upload testenv2/src/${PACKAGE}/dist/* && \
		git tag ${VERSION} && git push --tags

flake8: $(PYSOURCES)
	flake8 $^

FORCE:

# Use this to print the value of a Makefile variable
# Example `make print-VERSION`
# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
print-%  : ; @echo $* = $($*)

=== requirements.txt ===
ruamel.yaml>= 0.12.4, != 0.16.6, < 0.18
rdflib>= 4.2.2, < 6.0.0;python_version<='3.6'
rdflib>= 4.2.2, < 7.0.0
rdflib-jsonld>=0.4.0, <= 0.6.1;python_version<='3.6'
mistune>=0.8.1,<0.9
CacheControl==0.12.10
lockfile==0.12.2  # needed for CacheControl's FileCache
black

=== debian/changelog ===
python-schema-salad (8.2.20220103095339-1) unstable; urgency=medium

  * New upstream version
  * Add a patch to use the Debian copy of the Apache 2.0 license for the
    typescript codegen feature

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Jan 2022 12:41:03 +0100

python-schema-salad (8.2.20211104054942-1) unstable; urgency=medium

  * New upstream version
  * New dependency: black (for --codegen python)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Nov 2021 07:22:45 +0100

python-schema-salad (8.2.20210918131710-2) unstable; urgency=medium

  * Breaks: older cwltool (<< 3.1.20210521105815)
  * Mark minimum pytest version; enable building with fewer dependencies
    with the "nocheck" profile.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 12:15:59 +0200

python-schema-salad (8.2.20210918131710-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Removed now unneeded CacheControl & ruamel.yaml dependency patches.
  * Force dependency on python3-rdflib-jsonld; to be dropped when Debian gets
    v6 of rdflib
  * Remove conflict with python-schema-salad
  * No longer need to build-dep on typing-extensions

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Sep 2021 20:36:08 +0200

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
                python3-ruamel.yaml,
                python3-cachecontrol,
                python3-lockfile,
-               python3-typing-extensions,
-               python3-pytest-xdist,
-               python3-pytest-runner,
+               python3-pytest-xdist <!nocheck>,
+               python3-pytest (>> 6.2) <!nocheck>,
+               python3-pytest-runner <!nocheck>,
+               black <!nocheck>,
                help2man
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://www.commonwl.org
@@ -30,10 +31,12 @@
 Package: python3-schema-salad
 Architecture: all
 Depends: ${python3:Depends},
+         python3-rdflib-jsonld,
+         black,
          ${misc:Depends},
          libjs-bootstrap
 Recommends: cwltool
-Conflicts: python-schema-salad
+Breaks: cwltool (<< 3.1.20210521105815)
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
  documents. Salad is based originally on JSON-LD and the Apache Avro data

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,8 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-n auto --dist=loadfile --pyargs schema_salad -k 'not test_secondaryFiles and not test_outputBinding'" dh_auto_test
+		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding)' \
+		--pyargs schema_salad" dh_auto_test
 endif
 
 override_dh_auto_install:

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest (>> 6.2)
Restrictions: allow-stderr

## python-schema-salad 8.2.20220204150214

=== requirements.txt ===
ruamel.yaml>= 0.12.4, != 0.16.6, < 0.18
rdflib>= 4.2.2, < 7.0.0
mistune>=0.8.1,<0.9
CacheControl==0.12.10
lockfile==0.12.2  # needed for CacheControl's FileCache
black

=== debian/changelog ===
python-schema-salad (8.2.20220204150214-1) unstable; urgency=high

  * Switch to mistune0 to keep the compatible version. Closes: #1003567
  * New upstream version
  * rdflib-jsonld is no longer need with rdlfib >= 6

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Apr 2022 17:05:37 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
                python3-all,
                python3-future,
                python3-setuptools,
-               python3-mistune,
+               python3-mistune0,
                python3-requests,
                python3-yaml,
-               python3-rdflib-jsonld,
                python3-rdflib,
                python3-ruamel.yaml,
                python3-cachecontrol,
@@ -21,6 +20,7 @@
                python3-pytest (>> 6.2) <!nocheck>,
                python3-pytest-runner <!nocheck>,
                black <!nocheck>,
+               python3-typing-extensions <!nocheck>,
                help2man
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
@@ -31,11 +31,10 @@
 Package: python3-schema-salad
 Architecture: all
 Depends: ${python3:Depends},
-         python3-rdflib-jsonld,
-         black,
+         python3-mistune0,
          ${misc:Depends},
          libjs-bootstrap
-Recommends: cwltool
+Recommends: cwltool, black
 Breaks: cwltool (<< 3.1.20210521105815)
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding)' \
+		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error)' \
 		--pyargs schema_salad" dh_auto_test
 endif

## python-schema-salad 8.4.20230213094415

=== Makefile ===
# This file is part of schema-salad,
# https://github.com/common-workflow-language/schema-salad/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make format to fix most python formatting errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=schema_salad
PACKAGE=schema-salad
EXTRAS=[pycodegen]

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py ${MODULE}/avro/*.py ${MODULE}/tests/*.py) setup.py
DEVPKGS=-rdev-requirements.txt -rtest-requirements.txt -rmypy-requirements.txt
COVBASE=coverage run --append
PYTEST_EXTRA ?= -rs

# Updating the Major & Minor version below?
# Don't forget to update setup.py as well
VERSION=8.4.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
	--max-count=1 --format=format:%cI`)

## all                    : default task (install schema-salad in dev mode)
all: dev

## help                   : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## cleanup                : shortcut for "make sort_imports format flake8 diff_pydocstyle_report"
cleanup: sort_imports format flake8 diff_pydocstyle_report

## install-dep            : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies: FORCE
	pip install --upgrade $(DEVPKGS)

## install                : install the schema-salad package and scripts
install: FORCE
	pip install .$(EXTRAS)

## dev                    : install the schema-salad package in dev mode
dev: install-dep
	pip install -U pip setuptools wheel
	pip install -e .$(EXTRAS)

## dist                   : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
	python -m build

## docs                   : make the docs
docs: FORCE
	cd docs && $(MAKE) html

## clean                  : clean up all temporary / machine-generated files
clean: FORCE
	rm -rf ${MODULE}/__pycache__ ${MODULE}/tests/__pycache__ schema_salad/_version.py
	rm -f *.so ${MODULE}/*.so ${MODULE}/tests/*.so ${MODULE}/avro/*.so
	python setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

# Linting and code style related targets
## sort_import            : sorting imports using isort: https://github.com/timothycrosley/isort
sort_imports: $(filter-out schema_salad/metaschema.py,$(PYSOURCES)) mypy-stubs
	isort $^

remove_unused_imports: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	autoflake --in-place --remove-all-unused-imports $^

pep257: pydocstyle
## pydocstyle             : check Python docstring style
pydocstyle: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true

pydocstyle_report.txt: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pydocstyle setup.py $^ > $@ 2>&1 || true

## diff_pydocstyle_report : check Python docstring style for changed files only
diff_pydocstyle_report: pydocstyle_report.txt
	diff-quality --compare-branch=main --violations=pydocstyle --fail-under=100 $^

## codespell              : check for common misspellings
codespell:
	codespell -w $(shell git ls-files | grep -v mypy-stubs | grep -v gitignore | grep -v EDAM.owl | grep -v pre.yml | grep -v test_schema)

## format                 : check/fix all code indentation and formatting (runs black)
format:
	black --force-exclude metaschema.py --exclude _version.py schema_salad setup.py mypy-stubs

format-check:
	black --diff --check --force-exclude metaschema.py --exclude _version.py schema_salad setup.py mypy-stubs

## pylint                 : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ -j0|| true

pylint_report.txt: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ -j0> $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --compare-branch=main --violations=pylint pylint_report.txt

.coverage:
	python setup.py test --addopts "--cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}"
	$(COVBASE) -m schema_salad.main \
		--print-jsonld-context schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-rdfs schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-avro schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.makedoc --debug \
		schema_salad/metaschema/metaschema.yml \
		> /dev/null

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover --compare-branch=main $^

diff-cover.html: coverage.xml
	diff-cover --compare-branch=main $^ --html-report $@

## test                   : run the schema-salad test suite
test: $(PYSOURCES)
	python -m pytest -rs ${PYTEST_EXTRA}

## testcov                : run the schema-salad test suite and collect coverage
testcov: $(PYSOURCES)
	python setup.py test --addopts "--cov" ${PYTEST_EXTRA}

sloccount.sc: $(PYSOURCES) Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount              : count lines of code
sloccount: $(PYSOURCES) Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy3: mypy
mypy: $(filter-out setup.py,$(PYSOURCES))
	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^

mypy_3.6: $(filter-out setup.py,$(PYSOURCES))
	MYPYPATH=$$MYPYPATH:mypy-stubs mypy --python-version 3.6 $^

mypyc: $(PYSOURCES)
	MYPYPATH=mypy-stubs SCHEMA_SALAD_USE_MYPYC=1 python setup.py test --addopts "${PYTEST_EXTRA}"

mypyi:
	MYPYPATH=mypy-stubs SCHEMA_SALAD_USE_MYPYC=1 pip install .${EXTRAS}

check-metaschema-diff:
	docker run \
		-v "$(realpath ${MODULE}/metaschema/):/tmp/:ro" \
		"quay.io/commonwl/cwltool_module:latest" \
		schema-salad-doc /tmp/metaschema.yml \
		> /tmp/metaschema.orig.html
	schema-salad-doc \
		"$(realpath ${MODULE}/metaschema/metaschema.yml)" \
		> /tmp/metaschema.new.html
	diff -a --color /tmp/metaschema.orig.html /tmp/metaschema.new.html || true

compute-metaschema-hash:
	@python -c 'import hashlib; from schema_salad.tests.test_makedoc import generate_doc; hasher = hashlib.sha256(); hasher.update(generate_doc().encode("utf-8")); print(hasher.hexdigest());'

shellcheck: FORCE
	shellcheck build-schema_salad-docker.sh release-test.sh

pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pyupgrade --exit-zero-even-if-changed --py36-plus $^

release-test: FORCE
	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )
	./release-test.sh

release:
	export SETUPTOOLS_SCM_PRETEND_VERSION=${VERSION} && \
	./release-test.sh && \
	. testenv2/bin/activate && \
		pip install build && \
		python -m build testenv2/src/${PACKAGE} && \
		pip install twine && \
		twine upload testenv2/src/${PACKAGE}/dist/* && \
		git tag ${VERSION} && git push --tags

flake8: FORCE
	flake8 $(PYSOURCES)

schema_salad/metaschema.py: schema_salad/codegen_base.py schema_salad/python_codegen_support.py schema_salad/python_codegen.py schema_salad/metaschema/*.yml
	schema-salad-tool --codegen python schema_salad/metaschema/metaschema.yml > $@

FORCE:

# Use this to print the value of a Makefile variable
# Example `make print-VERSION`
# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
print-%  : ; @echo $* = $($*)

=== requirements.txt ===
ruamel.yaml >= 0.17.6, < 0.17.22;python_version>='3.7'
ruamel.yaml >= 0.16.12, < 0.17.22
rdflib>= 4.2.2, < 7.0.0
rdflib>= 4.2.2, < 6.0.0;python_version<='3.6'
rdflib-jsonld>=0.4.0, <= 0.6.1;python_version<='3.6'
mistune>=2.0.3,<2.1
CacheControl[filecache]==0.12.11
black<23.2
mypy_extensions

=== debian/changelog ===
python-schema-salad (8.4.20230213094415-1) unstable; urgency=medium

  * d/clean: expand to cover more leftovers
  * New upstream version. Closes: #1031464
  * Set version using SETUPTOOLS_SCM_PRETEND_VERSION.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Feb 2023 13:24:38 +0100

python-schema-salad (8.4.20230201194352-2) unstable; urgency=medium

  * Use mypyc to build optimized binaries.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 04 Feb 2023 19:32:44 +0100

python-schema-salad (8.4.20230201194352-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * refresh patches
  * skip test_bad_schemas as it needs internet access

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 Feb 2023 17:59:41 +0100

python-schema-salad (8.3.20221209165047-1) unstable; urgency=medium

  * New upstream version
  * Drop mistune patch; switch to python3-mistune 2.x as upstream has
    upgraded.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Dec 2022 12:44:55 +0100

python-schema-salad (8.3.20221115203138-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 17 Nov 2022 15:14:30 +0100

python-schema-salad (8.3.20221016151607-1) unstable; urgency=medium

  * New upstream version
  * Drop debian/patches/setuptools_not_runtime_req, applied upstream.
    Refresehd remaining patches.
  * Build-dep on recent cachecontrol (0.12.12 and newer) with filelock
    instead of lockfile.
  * autopktest: echo the commands as we run them

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 16 Oct 2022 17:36:26 +0200

python-schema-salad (8.3.20220825133457-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debian/control: build-dep on pybuild-plugin-pyprojecy to parse the
    PEP 517 installer file.
  * debian/patches/setuptools_not_runtime_req: added
  * debian/install: keep the license for the dotnet codegen

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Aug 2022 13:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,31 +7,37 @@
                dh-python,
                python3,
                python3-all,
+               python3-dev,
                python3-future,
                python3-setuptools,
-               python3-mistune0,
+               python3-setuptools-scm,
+               python3-mistune (>> 2),
                python3-requests,
                python3-yaml,
                python3-rdflib,
                python3-ruamel.yaml,
-               python3-cachecontrol,
-               python3-lockfile,
+               python3-mypy,
+               python3-typeshed,
+               python3-cachecontrol ( >> 0.12.12 ),
+               python3-filelock,
+               pybuild-plugin-pyproject,
                python3-pytest-xdist <!nocheck>,
                python3-pytest (>> 6.2) <!nocheck>,
                python3-pytest-runner <!nocheck>,
                black <!nocheck>,
                python3-typing-extensions <!nocheck>,
                help2man
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://www.commonwl.org
 Rules-Requires-Root: no
 
 Package: python3-schema-salad
-Architecture: all
+Architecture: any
 Depends: ${python3:Depends},
          python3-mistune0,
+         python3-filelock,
          ${misc:Depends},
          libjs-bootstrap
 Recommends: cwltool, black

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 export PYBUILD_NAME=schema-salad
 #export PYBUILD_DISABLE=test
+export SCHEMA_SALAD_USE_MYPYC=1
+export MYPYPATH=$(CURDIR)/mypy-stubs
+#export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -38,7 +41,7 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error)' \
+		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error or test_bad_schemas)' \
 		--pyargs schema_salad" dh_auto_test
 endif

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest (>> 6.2), black
Restrictions: allow-stderr

## python-schema-salad 8.4.20230808163024

=== Makefile ===
--- 
+++ 
@@ -123,7 +123,7 @@
 	diff-quality --compare-branch=main --violations=pylint pylint_report.txt
 
 .coverage:
-	python setup.py test --addopts "--cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}"
+	pytest --cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}
 	$(COVBASE) -m schema_salad.main \
 		--print-jsonld-context schema_salad/metaschema/metaschema.yml \
 		> /dev/null
@@ -161,7 +161,7 @@
 
 ## testcov                : run the schema-salad test suite and collect coverage
 testcov: $(PYSOURCES)
-	python setup.py test --addopts "--cov" ${PYTEST_EXTRA}
+	pytest --cov ${PYTEST_EXTRA}
 
 sloccount.sc: $(PYSOURCES) Makefile
 	sloccount --duplicates --wide --details $^ > $@
@@ -182,7 +182,8 @@
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy --python-version 3.6 $^
 
 mypyc: $(PYSOURCES)
-	MYPYPATH=mypy-stubs SCHEMA_SALAD_USE_MYPYC=1 python setup.py test --addopts "${PYTEST_EXTRA}"
+	MYPYPATH=mypy-stubs SCHEMA_SALAD_USE_MYPYC=1 pip install --verbose -e . \
+		 && pytest "${PYTEST_EXTRA}"
 
 mypyi:
 	MYPYPATH=mypy-stubs SCHEMA_SALAD_USE_MYPYC=1 pip install .${EXTRAS}

=== requirements.txt ===
requests >= 1.0
ruamel.yaml >= 0.16.12, < 0.18
ruamel.yaml >= 0.17.6;python_version>='3.7'
rdflib>= 4.2.2, < 7.0.0
rdflib< 6.0.0;python_version<='3.6'
rdflib-jsonld>=0.4.0, <= 0.6.1;python_version<='3.6'
mistune>=2.0.3,<2.1
CacheControl[filecache]>= 0.11.7, < 0.14
CacheControl[filecache]< 0.13;python_version<='3.6'
urllib3<2;python_version<='3.6'
black<23.8
mypy_extensions
importlib_metadata;python_version<'3.8'
importlib_resources>=1.4
# ^^ equivalent to Python 3.9

=== debian/changelog ===
python-schema-salad (8.4.20230808163024-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * drop bump-cachecontrol, no longer needed.
  * d/control: add build-dep on python3-importlib-resources

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Aug 2023 19:51:20 +0200

python-schema-salad (8.4.20230213094415-2) unstable; urgency=medium

  * Team upload.
  * Patch: Allow cachecontrol 0.13 to be installed.
  * Mark the autopkgtest as needs-internet.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 12:45:36 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-all,
                python3-dev,
@@ -20,6 +20,7 @@
                python3-typeshed,
                python3-cachecontrol ( >> 0.12.12 ),
                python3-filelock,
+               python3-importlib-resources ( >> 6 ),
                pybuild-plugin-pyproject,
                python3-pytest-xdist <!nocheck>,
                python3-pytest (>> 6.2) <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## python-schema-salad 8.5.20240102191335

=== Makefile ===
--- 
+++ 
@@ -31,9 +31,7 @@
 COVBASE=coverage run --append
 PYTEST_EXTRA ?= -rs
 
-# Updating the Major & Minor version below?
-# Don't forget to update setup.py as well
-VERSION=8.4.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=8.5.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all                    : default task (install schema-salad in dev mode)
@@ -177,9 +175,6 @@
 mypy3: mypy
 mypy: $(filter-out setup.py,$(PYSOURCES))
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
-
-mypy_3.6: $(filter-out setup.py,$(PYSOURCES))
-	MYPYPATH=$$MYPYPATH:mypy-stubs mypy --python-version 3.6 $^
 
 mypyc: $(PYSOURCES)
 	MYPYPATH=mypy-stubs SCHEMA_SALAD_USE_MYPYC=1 pip install --verbose -e . \
@@ -206,7 +201,8 @@
 	shellcheck build-schema_salad-docker.sh release-test.sh
 
 pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
-	pyupgrade --exit-zero-even-if-changed --py36-plus $^
+	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	auto-walrus $^
 
 release-test: FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )

=== requirements.txt ===
requests >= 1.0
ruamel.yaml >= 0.17.6, < 0.19
rdflib>= 4.2.2, < 8.0.0
mistune>=2.0.3,<2.1
CacheControl[filecache]>= 0.11.7, < 0.14
black>=19.10b0,<23.13
mypy_extensions
importlib_resources>=1.4;python_version<'3.9'

=== debian/changelog ===
python-schema-salad (8.5.20240102191335-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:59:22 +0000

python-schema-salad (8.5.20240102191335-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version. Closes: #1058270, #1059992

  [ Michael R. Crusoe ]
  * d/control: change build-dep to python3-all-dev (not just python3-dev).
  * d/patches/mistune3.patch: add Francis Charette Migneault's fixes for
    mistune3.
  * d/control: bump python3-mistune dependency to at least version 3,
               remove python3-importlib-resources as it isn't needed anymore
  * d/patches/offline: enable additional testing without an internet
                       connection.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 18 Jan 2024 18:17:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
                dh-sequence-python3,
                python3,
                python3-all,
-               python3-dev,
-               python3-future,
+               python3-all-dev,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-mistune (>> 2),
+               python3-mistune (>> 3),
                python3-requests,
                python3-yaml,
                python3-rdflib,
@@ -20,7 +19,6 @@
                python3-typeshed,
                python3-cachecontrol ( >> 0.12.12 ),
                python3-filelock,
-               python3-importlib-resources ( >> 6 ),
                pybuild-plugin-pyproject,
                python3-pytest-xdist <!nocheck>,
                python3-pytest (>> 6.2) <!nocheck>,
@@ -37,7 +35,7 @@
 Package: python3-schema-salad
 Architecture: any
 Depends: ${python3:Depends},
-         python3-mistune0,
+         python3-mistune ( >> 3),
          python3-filelock,
          ${misc:Depends},
          libjs-bootstrap

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error or test_bad_schemas)' \
+		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error or test_bad_schemas or test_load_by_yaml_metaschema)' \
 		--pyargs schema_salad" dh_auto_test
 endif

## python-schema-salad 8.5.20240410123758

=== requirements.txt ===
requests >= 1.0
ruamel.yaml >= 0.17.6, < 0.19
rdflib>= 4.2.2, < 8.0.0
mistune>=3,<3.1
CacheControl[filecache]>= 0.11.7, < 0.15
black>=19.10b0,<24.4
mypy_extensions
importlib_resources>=1.4;python_version<'3.9'

=== debian/changelog ===
python-schema-salad (8.5.20240410123758-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Apr 2024 16:36:05 +0300

python-schema-salad (8.5.20240311110950-1) unstable; urgency=medium

  * d/patches: fix some metadata
  * d/control: add missing dependency on libc
  * d/control: link to the Read The Docs page for schema-salad, not the
    main CWL project website.
  * New upstream version
  * d/patches: drop mistune3, offline patches, they were applied
    upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 12:36:41 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
-Homepage: https://www.commonwl.org
+Homepage: https://schema-salad.readthedocs.io/
 Rules-Requires-Root: no
 
 Package: python3-schema-salad
@@ -38,6 +38,7 @@
          python3-mistune ( >> 3),
          python3-filelock,
          ${misc:Depends},
+         ${shlibs:Depends},
          libjs-bootstrap
 Recommends: cwltool, black
 Breaks: cwltool (<< 3.1.20210521105815)
